/* 

*/
#include <stdlib.h>	/* Achtung bei long<->int-Mischmasch */
#include <stdio.h>

struct tww {				/* Parameter des Hamiltonien	*/
  zahl	w[Nw],co[Nw],si[Nw];		/* Phasen-Winkel (Ranbedingung)	*/
  int	ex[Nw];};			/* 1 bound ok, -1 size exchange	*/
struct tww  ww;
int  pos[NN][3];			/* site-position = (x,y,z)	*/
int  iw[Nw][2];				/* array bonds		*/
int wt[Nw];				/* (Bindungs-) Energien	*/
int wj[Nw],wu[NN],we[NN]; 	/* nhv faster if wj4=wj/4	*/
int iw2[Nv][2];
int wu2[Nv];				/* coulomb  U(i,j)	*/
int wj2[Nv];				/* exchange J(i,j)	*/

#define Model_c 1     /* activate .c part in model.h */
#include "model.h"
		/* values for wt[],wj[],wu[],we[],wu2,wj2[] */
#define MaxPara 128				/* max. 8bit=1char	*/
char numpara;			/* Number of parameters < 256	*/
zahl para[MaxPara]; 			/* Float-Parameters	*/

int outmodel(){
  FILE *f1; int i;
  /* Ausgabe Modell in Maschinen-lesbarer Form (fuer allg. Model.H) */
  f1=fopen("daten.def","rt");
  if(f1){ fclose(f1); if(vvv)printf(" daten.def exist already\n"); return(1); }	
  f1=fopen("daten.def","wt");		 /* DemoFile neu anlegen */
  if(!f1)F0("create daten.def");	if(vvv)printf(" write daten.def");
  fprintf(f1,"#+++model+++\n");
  fprintf(f1,"# NN=Number_of_sites Nw=Number_of_bonds Nv=Number_of_bonds(2)\n");
  fprintf(f1,"%2u %3u 0\n",NN,Nw);
  fprintf(f1,"# s  X  Y  Z p_e p_U (s=site  (X Y Z)=position  p=parameter-Nr)\n");
  for(i=0;i<NN;i++)
    fprintf(f1," %2u %2d %2d %2d %2d %2d\n",
    i,pos[i][0],pos[i][1],pos[i][2],we[i],wu[i]);
  fprintf(f1,"# Bond s1 s2 p_t p_J p_V\n");
  for(i=0;i<Nw;i++)
    fprintf(f1," %2u %2d %2d %2d %2d %2d\n",
    i,iw[i][0],iw[i][1],wt[i],wj[i],0);
  fprintf(f1,"#---model---\n");
  fclose(f1);
  return(0); }

int main(){
  initvars();
  outmodel();
  return 0;
}
