# test for lock-file and create one (Linux,OSF1,..)
#!if test -r tmp/pid; then echo \"Warning: [tmp/pid] is running or was killed (please delete tmp/pid)\"; kill $PPID; sleep 10; else echo $PPID >tmp/pid; fi
# remove (#) on next line to get cpu.log (Linux,IRIX,SunOS,OSF1) ToDo: psr+-m
#! while ps -o pid,pcpu,time,etime,rss,vsz,inblock,oublock,cmd -p $PPID; do sleep 10; done >cpu.log & # for OSF
#! while ps -o pid,pcpu,time,etime,args -p $PPID; do sleep 10; done >cpu.log & # other
#!free -m           # show free mem, expecially cache may slow down for numa systems
!taskset -p $$     # show taskstetting task 0 only
!ls -ld tmp        # linked to scratch?
#verbose=3   # verbose output (default: 3, overrides option -vNUM)
#            #  +1 time+prec., +2 H-statistics, +4 time consuming checks,
#            #  +8 symmetry debugging, +16 disk-I/O, +32 H-elements,
xout=3 10     # x_p 3 output format 0=uncompressed, 3=compressed, x_max 10 components
#chkpt_mode=0  # 1:store checkpoints, 2,3:set up after crash
#chkpt_load=0 # last checkpoint before crash
# old: set memory limits in daten.i, also try --mca mpi_preconnect_mpi 1
# ToDo: maxfile will be replaced by maxmem and maxfile will be for disk usage only
# since 2017-01 maxmem for (vector+)matrix-memory/task again, maxfile for disk 
#maxmem=...    # in Bytes, important if ulimit -v is unlimited or OOM is fatal
#maxmem=10e9   #  10e9 = 10GB max. stored matrix size per thread, 0=0B
#maxmem=0.75e9 #  24GB=16*1.5GB=32ht*0.75GB  supermuc12.thin=32GB/16c          
#maxmem=3.00e9 # 240GB=40*6.0GB=80ht*3.00GB  supermuc11.fat=256GB/40c      
#maxmem=1.05e9 #  60GB=28*2.1GB=56ht*1.0GB   supermuc15.hasw=64GB/28c    
#maxmem=21e9   # 768GB=32*24GB=64ht*12GB (quanta1+2 ToDo sbatch --mem=736000)
#maxmem=13e9   # 256GB=16*16GB           (172t100 -20GBlibmpi? ToDo!)
#maxmem=7500e6 # 128GB=16*8GB  (22comp2) = 224GB=28*8GB (meggie)
#maxmem=3500e6 #  32GB=8*4GB   (30quantum)
#maxmem=480e6  #   4GB=6*666MB (972kautz)  ToDo: use set/getrlimit()
#maxmem=-1    # auto set max. available memory per task, use ulimit -v
##  use maxfile!=0 in case memory is not enough to store the spare matrix
##  on HPC-cluster lot of files will be created on usage (1 file/thread)
#maxfile=100e9 # maximum shared_disk tmp/htmp$thread.001, dflt=0
#               (ToDo17: interleaved and parallel read 1dsk + 4mem)
pew=1        # number of EWs for convergence proof 0..NEW-1
nev=0        # number of lowest eigenvectors nev=0..NEV
ne0=0        # offset of lowest eigenvectors ne0=0..NEW-1
max_ea=0     # proof for degeneracy max_ea>0
startvec=4   # 1=(1,0,0,...) 2=load(d0.vec=bin) 3=load(s0.vec=txt)
#              4=random(0...1) 5=rnd((+/-)1/n1^2) bad for FTLM sawtoothN=22
#              6=xorshift-random(-1...+1) since 2018-08 for FTLM-use 8+6=14
#              7=no_startvec(reserved for future)
#              +8(bit3=1)=increase_seed_every_computation-round(a0)
#              add_seed+=(startvec>>4)=startvec_div_16 (p.e. 5+8+64=77)
#           ToDo: srand by time/rand or manual + output, xorshift or mersenne?
z_anisotropy=1.0   # 1.0 for the isotropic case (obsolete, use zN in .def)
xy_anisotropy=1.0  # 1.0 for the isotropic case (obsolete, use zN in .def)
newtime      # reset the internal clock
sisj=4       # bitpattern: 1 <sisj>; 2 <ss>; 4 <mrule>; 0: fast_diag_OP only
sym_lm=0     # 0=max(S(S+1))  1=max(J(J+1))  see doc/sym_tU.txt
sym_ud=+1    # spin-inversion (+1,-1,0=off), only used for nu==nd
sym_k= 0 0 0 # eigenvalues ki of lattice-symmetries (-n to skip n symmetries)
#            #   -999999 and below skips all symmetries, similar to SIGUSR2
nud=6,34     # number of up and down spins, defines matrix size
param= 1.0, 0.0   # p1, p2, p3 ...  alternative mode: p1= 1.0\n p2=0.0
a0   # start computation
#    # a0=lanczos a2=2x2diag a4=fulldiag +8=test
#    #   +16=rekursiv_serial_algo(parallel version ToDo) 
#    #   +32=old_slow_parallel_ns (default will be auto switching 2013-04)
#!date           # execute date-command
# show multithread CPU balance at end:
#!ps -u $USER -o psr,pcpu,time,bsdtime,etime,minflt,majflt,rsz,vsz,cmd -m
#!ps -u $USER -L -opsr,comm,time,pid,ppid,lwp,minflt # pt: same PID, LWP differs
!if grep "^40\ [\ 1][48]0\ 0" daten.def;then grep "^#.*E0=" daten.i;fi
# TEST_JJ_square 6 -2 2 6 q0:
#   nud=2,38  E0= 12.10565846 ZMag= 0.20250000 flt= 12.10565848 n1=11 17s
#   nud=6,34  E0= -2.11313499 ZMag= 0.12250000 SMag= 0.13653284 n1=24339 42s
#   nud=8,32  E0= -8.22686823 ZMag= 0.09000000 56s  SH=0.14m    n1=482e3
#   nud=8,32  E0= -5.62463429 sym_k= 2 1                        n1=480948
#   nud=10,30 E0=-13.57780123 ZMag= 0.06250000 4.6m SH=1.9m     n1=5.3e6
#   nud=12,28 E0=-18.11159087 ZMag= 0.04106732  34m SH=15m,10GB n1=35e6
#   nud=14,26 E0=-21.77715233        31m*16 SH=16*14m,48GB n1=145e6 nzx=38.333
#!grep -A7 TEST_JJ daten.i
